PostgreSQL 7.1.3 Documentation
Prev |  | Next

# DROP OPERATOR

## Name

DROP OPERATOR -- Removes an operator from the database

## Synopsis

    DROP OPERATOR id ( lefttype | NONE , righttype | NONE )

### Inputs

`id`

  The identifier of an existing operator.

`lefttype`

  The type of the operator's left argument; write `NONE` if the operator has no left argument.

`righttype`

  The type of the operator's right argument; write `NONE` if the operator has no right argument.

### Outputs

`DROP`

  The message returned if the command is successful.

`ERROR: RemoveOperator: binary operator '`oper`' taking '`type`' and '`type2`' does not exist`

  This message occurs if the specified binary operator does not exist.

`ERROR: RemoveOperator: left unary operator '`oper`' taking '`type`' does not exist`

  This message occurs if the left unary operator specified does not exist.

`ERROR: RemoveOperator: right unary operator '`oper`' taking '`type`' does not exist`

  This message occurs if the right unary operator specified does not exist.

## Description

DROP OPERATOR drops an existing operator from the database. To execute this command you must be the owner of the operator.

The left or right type of a left or right unary operator, respectively, must be specified as `NONE`.

### Notes

The DROP OPERATOR statement is a Postgres language extension.

Refer to CREATE OPERATOR for information on how to create operators.

It is the user's responsibility to remove any access methods and operator classes that rely on the deleted operator.

## Usage

Remove power operator `a^n` for `int4`:

    DROP OPERATOR ^ (int4, int4);

Remove left unary negation operator (`! b`) for booleans:

    DROP OPERATOR ! (none, bool);

Remove right unary factorial operator (`i !`) for `int4`:

    DROP OPERATOR ! (int4, none);

## Compatibility

### SQL92

There is no DROP OPERATOR in SQL92.

Prev | Home | Next
DROP LANGUAGE | Up | DROP RULE